osl::search::Store Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::search::Store Struct Reference
Collaboration diagram for osl::search::Store:
[legend]

## Public Member Functions
| Store (MoveScore *o)
void | simpleMove (Square, Square, Ptype, bool, Player, Move move)
void | unknownMove (Square, Square, Piece, Ptype, bool, Player, Move move)
void | dropMove (Square, Ptype, Player, Move move)
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Public Attributes
MoveScore * | out

## Detailed Description

Definition at line 39 of file moveScore.cc.

## Constructor & Destructor Documentation

osl::search::Store::Store | ( | MoveScore * | o) |  |
| inline

Definition at line 41 of file moveScore.cc.

## Member Function Documentation

void osl::search::Store::dropMove | ( | Square | ,
|  | Ptype | ,
|  | Player | ,
|  | Move | move
| ) |  |
| inline

Definition at line 49 of file moveScore.cc.

References out.

void osl::search::Store::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p
| ) |  |
| inline

Definition at line 66 of file moveScore.cc.

References osl::move_action::dropMove().

void osl::search::Store::simpleMove | ( | Square | ,
|  | Square | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move | move
| ) |  |
| inline

Definition at line 42 of file moveScore.cc.

References out.

void osl::search::Store::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 54 of file moveScore.cc.

References osl::PTYPE_EMPTY, and osl::move_action::simpleMove().

void osl::search::Store::unknownMove | ( | Square | ,
|  | Square | ,
|  | Piece | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move | move
| ) |  |
| inline

Definition at line 45 of file moveScore.cc.

References out.

void osl::search::Store::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 60 of file moveScore.cc.

References osl::Piece::ptype(), and osl::move_action::unknownMove().

## Member Data Documentation

MoveScore* osl::search::Store::out

Definition at line 40 of file moveScore.cc.

Referenced by osl::search::MoveScore::generateAll(), osl::search::MoveScore::generateCapture(), and osl::search::MoveScore::generateKingEscape().

The documentation for this struct was generated from the following file:

- moveScore.cc